
fp=4.4e3;   %Passband edge
fs=5e3;     %stopband edge
ap=.5;       %att. in passband
as=40;      %att. in stopband
%Finding the parameters of the Elliptic filter
[N,Wn]=ellipord(2*pi*fp, 2*pi*fs, ap, as, 's')
%N is the order
%wn is the passband edge in radians/sec
%Finding the transfer coefficients
[Num,Den]=ellip(N,ap,as,Wn,'s')
f=[0:100:10e3]';    %freq. range 0 to 10kHz
H=freqs(Num,Den,2*pi*f);    %Finding the freq.response
att=-20*log10(abs(H));  %Find the attenuation

%Butterworth filter
[Nbutter,Wnbutter]=buttord(2*pi*fp,2*pi*fs,ap,as,'s')
%Nbutter is the order
%Wnbutter is the passband edge in radians/sec

%Chebyshev filter
[Ncheby,Wncheby]=cheb1ord(2*pi*fp,2*pi*fs,ap,as,'s')
%Ncheby is the order
%Wncheby is the passband edge in radians/sec

subplot(3,1,1)
plot(f/1e3,abs(H));
xlabel('Freq. in kHz');
ylabel('Amplitude');
title('Magnitude response in linear scale');
grid on;

subplot(3,1,2)
plot(f/1e3,att);
xlabel('Freq. in kHz');
ylabel('Att in db');
title('Attenuation versus freq.');
axis([0,10,0,85]);
grid on;

subplot(3,1,3)
plot(f/1e3,angle(H));
xlabel('Freq. in kHz');
ylabel('Amplitude');
title('Phase response');
grid on;
 
